datacache <- new.env(hash=TRUE, parent=emptyenv())

bovine <- function() showQCData("bovine", datacache)
bovine_dbconn <- function() dbconn(datacache)
bovine_dbfile <- function() dbfile(datacache)
bovine_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
bovine_dbInfo <- function() dbInfo(datacache)

bovineORGANISM <- "Bos taurus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "bovine.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.BOVINECHIP_DB("bovine", "chip bovine", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(bovine_dbconn())
}

